(function () {

    var $head = $('head');

    var fontPreconnect = '<link rel="preconnect" href="https://fonts.googleapis/com">';

    $head.append(fontPreconnect);

    fontPreconnect = '<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>';

    $head.append(fontPreconnect);

    //var fontLink = '<link href = "https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,700;1,400;1,700&display=swap" rel = "stylesheet">';
    //var fontLink = '<link href="https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,400;0,700;1,400;1,700&display=swap" rel="stylesheet">';
    var fontLink = '<link href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,400;0,700;1,400;1,700&display=swap" rel="stylesheet">';

    $head.append(fontLink);

    $('body').prepend('<section id="completed-mesg" class="activity-mesg" aria-labelledby="completed_heading" hidden><h2 id="completed_heading"><span class="visually-hidden">Notice: </span>Activity Completed</h2><p id="completed_content"><span class="visually-hidden saved-answers">All of your answers have been saved to the grade book. </span>Your instructor may adjust your grade based on your answers. Please refer to the grade book for your final score.</p><button id="close_completed" aria-label="Close notice"><span>&#10005;</button></section>');

    $('body').prepend('<section id="expired-mesg" class="activity-mesg" aria-labelledby="expired_heading" hidden><h2 id="expired_heading"><span class="visually-hidden">Notice: </span>Due Date Has Passed</h2><p id="expired_content">You will not be able to submit answers for a grade. Please contact your instructor for further information.</p><button id="close_expired" aria-label="Close notice"><span>&#10005;</button></section>');


    $('#manuscript').wrap('<div id="wrapper"></div>');

    $('body').prepend('<div id="aria_modal" data-modal="" aria-modal="true">'
        + '<div data-modal-document>'
            + '<h1 id="aria_modal_heading"></h1>'
            + '<div id="aria_modal_text"></div>'
            + '<div id="aria_modal_buttons"></div>'
        + '</div>'
    + '</div >');

})();
